{% from "system/map.jinja" import system_settings with context %}
{% set settings = system_settings['sleep'] %}

{% if settings.disable %}
# Disable sleep via sysctl
sleep_disable_sysctl:
  sysctl.present:
    - name: 'kern.suspend_blocked'
    - value: '1'
{% else %}
# Enable sleep via sysctl
sleep_enable_sysctl:
  sysctl.present:
    - name: 'kern.suspend_blocked'
    - value: '0'
{% endif %}
